Subject: Re: [PATCH] lpfc: add missing Kconfig NVME dependencies

From: James Smart <[email-masked]>
Date: Thu, 23 Feb 2017 07:51:35 -0800

On 2/23/2017 2:09 AM, Christoph Hellwig wrote:
> On Wed, Feb 22, 2017 at 08:20:47AM -0800, James Smart wrote:
>> add missing Kconfig NVME dependencies
>>
>> Can't believe I missed posting this
> Oh.  I'm not sure everyone is happy having to drag in the whole
> nvme and nvme target stack when building lpfc.  Is there a way
> to make nvme optional?  And in the future scsi as well?

yes - I'll work on doing that.  Scsi is a little further off as the fc 
transport has to be dealt with - moved out from under scsi and put above 
scsi and nvme in the device tree.  The transport is where the hooks for 
adapter mgmt are right now.

-- james